Bug 108103 - Failed to initialize GPU and Screen corruption at the top of the screen.
Summary: Failed to initialize GPU and Screen corruption at the top of the screen.
Status: RESOLVED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: DRI git
Hardware: x86-64 (AMD64) Linux (All)
: high normal
Assignee: Intel GFX Bugs mailing list
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: Triaged, ReadyForDev
Keywords:
Depends on:
Blocks:
 
Reported: 2018-09-30 17:37 UTC by Felix von Leitner
Modified: 2019-03-25 12:49 UTC (History)
4 users (show)

See Also:
i915 platform: GLK
i915 features: display/Other, GEM/Other


Attachments
dmesg (74.26 KB, text/plain)
2018-10-10 15:06 UTC, Felix von Leitner
no flags Details
j4105 with 4.19.5 - full dmesg from boot via journalctl (838.10 KB, text/plain)
2018-12-12 10:43 UTC, Vasily Galkin
no flags Details
j4105 with 4.19.5 - latest messages still in dmesg buffer (125.70 KB, text/plain)
2018-12-12 10:44 UTC, Vasily Galkin
no flags Details
j4105 with 4.19.5 lspci -vvv output (27.66 KB, text/plain)
2018-12-12 10:45 UTC, Vasily Galkin
no flags Details
142788: j4105 with 4.20 - drm tip full dmesg from boot via journalctl (707.55 KB, text/plain)
2018-12-17 22:40 UTC, Vasily Galkin
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Felix von Leitner 2018-09-30 17:37:08 UTC
Here is everything from dmesg that appears relevant:

[drm:drm_core_init] Initialized
[drm:i915_driver_load] No PCH found.
[drm:i915_driver_load] WOPCM size: 1024KiB
[drm] GuC: No firmware known for this platform!
[drm] HuC: No firmware known for this platform!
[drm:intel_uc_init_early] enable_guc=0 (submission:no huc:no)
[drm:i915_driver_load] guc_log_level=0 (enabled:no, verbose:no, verbosity:0)
[drm:intel_power_domains_init] Allowed DC state mask 09
[drm:__intel_uncore_early_sanitize] unclaimed mmio detected on uncore init, clearing
[drm:i915_driver_load] ppgtt mode: 3
[drm:i915_ggtt_probe_hw] GGTT size = 4096M
[drm:i915_ggtt_probe_hw] GMADR size = 256M
[drm:i915_ggtt_probe_hw] DSM size = 64M
[drm] VT-d active for gfx access
checking generic (90000000 7f0000) vs hw (90000000 10000000)
fb: switching to inteldrmfb from EFI VGA
Console: switching to colour dummy device 80x25
[drm:i915_gem_init_stolen] GEN6_STOLEN_RESERVED = 7ff00047
[drm:i915_gem_init_stolen] Memory reserved for graphics device: 65536K, usable: 64512K
[drm:intel_gvt_init] GVT-g is disabled by kernel params
[drm:intel_opregion_setup] graphic opregion physical addr: 0x777a6018
[drm:intel_opregion_setup] Public ACPI methods supported
[drm:intel_opregion_setup] ASLE supported
[drm:intel_opregion_setup] Found valid VBT in ACPI OpRegion (RVDA)
[drm] Supports vblank timestamp caching Rev 2 (21.10.2013).
[drm] Driver supports precise vblank timestamp query.
[drm:intel_bios_init] Set default to SSC at 100000 kHz
[drm:intel_bios_init] VBT signature "$VBT GEMINILAKE     ", BDB version 212
[drm:intel_bios_init] BDB_GENERAL_FEATURES int_tv_support 0 int_crt_support 0 lvds_use_ssc 0 lvds_ssc_freq 120000 display_clock_mode 0 fdi_rx_polarity_inverted 0
[drm:intel_bios_init] crt_ddc_bus_pin: 2
[drm:intel_opregion_get_panel_type] Failed to get panel details from OpRegion (-19)
[drm:intel_bios_init] Panel type: 2 (VBT)
[drm:intel_bios_init] DRRS supported mode is seamless
[drm:intel_bios_init] Found panel mode in BIOS VBT tables:
[drm:drm_mode_debug_printmodeline] Modeline 0:"1024x768" 0 65000 1024 1048 1184 1344 768 771 777 806 0x8 0xa
[drm:intel_bios_init] VBT initial LVDS value 300
[drm:intel_bios_init] VBT backlight PWM modulation frequency 200 Hz, active high, min brightness 0, level 180, controller 0
[drm:intel_bios_init] DRRS State Enabled:1
[drm:intel_bios_init] Skipping SDVO device mapping
[drm:intel_bios_init] Port A VBT info: DP:1 HDMI:0 DVI:0 EDP:1 CRT:0
[drm:intel_bios_init] VBT HDMI level shift for port A: 0
[drm:intel_bios_init] Port C VBT info: DP:0 HDMI:1 DVI:1 EDP:0 CRT:0
[drm:intel_bios_init] VBT HDMI level shift for port C: 8
[drm:intel_dsm_detect] no _DSM method for intel device
[drm:gen9_set_dc_state] Setting DC state from 00 to 00
[drm:intel_power_well_enable] enabling power well 1
[drm:intel_dump_cdclk_state] Current CDCLK 316800 kHz, VCO 633600 kHz, ref 19200 kHz, bypass 19200 kHz, voltage level 13
[drm:intel_power_well_enable] enabling always-on
[drm:intel_power_well_enable] enabling DC off
[drm:gen9_set_dc_state] Setting DC state from 00 to 00
[drm:intel_power_well_enable] enabling power well 2
[drm:intel_power_well_enable] enabling dpio-common-a
[drm:bxt_ddi_phy_init] DDI PHY 1 already enabled, won't reprogram it
[drm:intel_power_well_enable] enabling dpio-common-b
[drm:intel_power_well_enable] enabling dpio-common-c
[drm:intel_power_well_enable] enabling AUX A
[drm:intel_power_well_enable] enabling AUX B
[drm:intel_power_well_enable] enabling AUX C
[drm:intel_csr_ucode_init] Loading i915/glk_dmc_ver1_04.bin
[drm:drm_irq_install] irq=123
[drm] Finished loading DMC firmware i915/glk_dmc_ver1_04.bin (v1.4)
[drm:__bxt_hpd_detection_setup] Invert bit setting: hp_ctl:18001810 hp_port:38
[drm:intel_fbc_init] Sanitized enable_fbc value: 1
[drm:intel_print_wm_latency] Gen9 Plane WM0 latency 7 (7.0 usec)
[drm:intel_print_wm_latency] Gen9 Plane WM1 latency 7 (7.0 usec)
[drm:intel_print_wm_latency] Gen9 Plane WM2 latency 8 (8.0 usec)
[drm:intel_print_wm_latency] Gen9 Plane WM3 latency 22 (22.0 usec)
[drm:intel_print_wm_latency] Gen9 Plane WM4 latency 22 (22.0 usec)
[drm:intel_print_wm_latency] Gen9 Plane WM5 latency 22 (22.0 usec)
[drm:intel_print_wm_latency] Gen9 Plane WM6 latency 22 (22.0 usec)
[drm:intel_print_wm_latency] Gen9 Plane WM7 latency 22 (22.0 usec)
[drm:intel_modeset_init] 3 display pipes available.
[drm:intel_dump_cdclk_state] Current CDCLK 316800 kHz, VCO 633600 kHz, ref 19200 kHz, bypass 19200 kHz, voltage level 13
[drm:intel_update_max_cdclk] Max CD clock rate: 316800 kHz
[drm:intel_modeset_init] Max dotclock rate: 627264 kHz
[drm:intel_ddi_init] Forcing DDI_A_4_LANES for port A
[drm:intel_dp_init_connector] Adding eDP connector on port A
[drm:intel_dp_init_connector] using AUX A for port A (VBT)
[drm:intel_pps_dump_state] cur t1_t3 0 t8 0 t9 0 t10 500 t11_t12 6000
[drm:intel_pps_dump_state] vbt t1_t3 1500 t8 500 t9 2000 t10 500 t11_t12 6000
[drm:intel_dp_init_panel_power_sequencer] panel power up delay 150, power down delay 50, power cycle delay 600
[drm:intel_dp_init_panel_power_sequencer] backlight on delay 50, off delay 200
[drm:intel_dp_init_panel_power_sequencer_registers] panel power sequencer register settings: PP_ON 0x5dc0001, PP_OFF 0x1f40001, PP_DIV 0x60
[drm:edp_panel_vdd_on] Turning eDP port A VDD on
[drm:edp_panel_vdd_on] PP_STATUS: 0x80000008 PP_CONTROL: 0x0000006f
[drm:intel_dp_read_dpcd] DPCD: 11 0a 82 41 00 00 01 40 02 00 00 00 00 03 00
[drm:drm_dp_read_desc] DP sink: OUI 00-00-00 dev-ID  HW-rev 0.0 SW-rev 0.0 quirks 0x0000
[drm:intel_dp_init_connector] eDP DPCD: 01 00 00
[drm:drm_add_edid_modes.part.29] ELD: no CEA Extension found
[drm:drm_add_display_info] non_desktop set to 0
[drm:drm_add_display_info] eDP-1: Assigning EDID-1.4 digital sink color depth as 8 bpc.
[drm:drm_add_display_info] non_desktop set to 0
[drm:drm_add_display_info] eDP-1: Assigning EDID-1.4 digital sink color depth as 8 bpc.
[drm:intel_dp_init_connector] Downclock mode is not found. DRRS not supported
[drm:intel_panel_setup_backlight] Connector eDP-1 backlight initialized, enabled, brightness 67764/96000
[drm:intel_setup_outputs] VBT says port B is not DVI/HDMI/DP compatible, respect it
[drm:intel_hdmi_init_connector] Adding HDMI connector on port C
[drm:intel_hdmi_init_connector] Using DDC pin 0x2 for port C (VBT)
[drm:vlv_dsi_init] 
[drm:intel_modeset_setup_hw_state] pipe A active planes 0x1
[drm:intel_modeset_setup_hw_state] pipe A active planes 0x1
[drm:intel_modeset_setup_hw_state] pipe A active planes 0x1
[drm:intel_modeset_setup_hw_state] pipe A active planes 0x1
[drm:intel_modeset_setup_hw_state] pipe A active planes 0x1
[drm:intel_modeset_setup_hw_state] [CRTC:51:pipe A] hw state readout: enabled
[drm:intel_modeset_setup_hw_state] pipe B active planes 0x0
[drm:intel_modeset_setup_hw_state] pipe B active planes 0x0
[drm:intel_modeset_setup_hw_state] pipe B active planes 0x0
[drm:intel_modeset_setup_hw_state] pipe B active planes 0x0
[drm:intel_modeset_setup_hw_state] pipe B active planes 0x0
[drm:intel_modeset_setup_hw_state] [CRTC:75:pipe B] hw state readout: disabled
[drm:intel_modeset_setup_hw_state] pipe C active planes 0x0
[drm:intel_modeset_setup_hw_state] pipe C active planes 0x0
[drm:intel_modeset_setup_hw_state] pipe C active planes 0x0
[drm:intel_modeset_setup_hw_state] pipe C active planes 0x0
[drm:intel_modeset_setup_hw_state] pipe C active planes 0x0
[drm:intel_modeset_setup_hw_state] [CRTC:99:pipe C] hw state readout: disabled
[drm:intel_modeset_setup_hw_state] PORT PLL A hw state readout: crtc_mask 0x00000001, on 1
[drm:intel_modeset_setup_hw_state] PORT PLL B hw state readout: crtc_mask 0x00000000, on 0
[drm:intel_modeset_setup_hw_state] PORT PLL C hw state readout: crtc_mask 0x00000000, on 0
[drm:intel_ddi_get_config] pipe has 24 bpp for eDP panel, overriding BIOS-provided max 18 bpp
[drm:intel_modeset_setup_hw_state] [ENCODER:100:DDI A] hw state readout: enabled, pipe A
[drm:intel_modeset_setup_hw_state] [ENCODER:107:DDI C] hw state readout: disabled, pipe A
[drm:intel_modeset_setup_hw_state] [CONNECTOR:101:eDP-1] hw state readout: enabled
[drm:intel_modeset_setup_hw_state] [CONNECTOR:108:HDMI-A-1] hw state readout: disabled
[drm:drm_calc_timestamping_constants] crtc 51: hwmode: htotal 2250, vtotal 1132, vdisplay 1080
[drm:intel_modeset_setup_hw_state] crtc 51: clock 152839 kHz framedur 16664594 linedur 14721
[drm:intel_power_well_enable] enabling DDI A IO power well
[drm:intel_dump_pipe_config] [CRTC:51:pipe A][setup_hw_state]
[drm:intel_dump_pipe_config] output_types: EDP (0x100)
[drm:intel_dump_pipe_config] cpu_transcoder: EDP, pipe bpp: 24, dithering: 0
[drm:intel_dump_m_n_config.isra.67] dp m_n: lanes: 2; gmch_m: 7122860, gmch_n: 8388608, link_m: 296785, link_n: 524288, tu: 64
[drm:intel_dump_pipe_config] audio: 0, infoframes: 0
[drm:intel_dump_pipe_config] requested mode:
[drm:drm_mode_debug_printmodeline] Modeline 0:"1920x1080" 60 152839 1920 2000 2060 2250 1080 1086 1094 1132 0x40 0xa
[drm:intel_dump_pipe_config] adjusted mode:
[drm:drm_mode_debug_printmodeline] Modeline 0:"1920x1080" 60 152839 1920 2000 2060 2250 1080 1086 1094 1132 0x40 0xa
[drm:intel_dump_pipe_config] crtc timings: 152839 1920 2000 2060 2250 1080 1086 1094 1132, type: 0x40 flags: 0xa
[drm:intel_dump_pipe_config] port clock: 270000, pipe src size: 1920x1080, pixel rate 152839
[drm:intel_dump_pipe_config] num_scalers: 2, scaler_users: 0x0, scaler_id: -1
[drm:intel_dump_pipe_config] pch pfit: pos: 0x00000000, size: 0x00000000, disabled
[drm:intel_dump_pipe_config] ips: 0, double wide: 0
[drm:bxt_dump_hw_state] dpll_hw_state: ebb0: 0x8100, ebb4: 0x2000,pll0: 0x1b, pll1: 0x100, pll2: 0x0, pll3: 0x0, pll6: 0x10803, pll8: 0x9, pll9: 0xa, pll10: 0x8003c00, pcsdw12: 0x4d
[drm:intel_dump_pipe_config] planes on this crtc
[drm:intel_dump_pipe_config] [PLANE:28:plane 1A] disabled, scaler_id = -1
[drm:intel_dump_pipe_config] [PLANE:33:plane 2A] disabled, scaler_id = -1
[drm:intel_dump_pipe_config] [PLANE:38:plane 3A] disabled, scaler_id = -1
[drm:intel_dump_pipe_config] [PLANE:43:plane 4A] disabled, scaler_id = -1
[drm:intel_dump_pipe_config] [PLANE:48:cursor A] disabled, scaler_id = -1
[drm:intel_dump_pipe_config] [CRTC:75:pipe B][setup_hw_state]
[drm:intel_dump_pipe_config] output_types:  (0x0)
[drm:intel_dump_pipe_config] cpu_transcoder: B, pipe bpp: 0, dithering: 0
[drm:intel_dump_pipe_config] audio: 0, infoframes: 0
[drm:intel_dump_pipe_config] requested mode:
[drm:drm_mode_debug_printmodeline] Modeline 0:"" 0 0 0 0 0 0 0 0 0 0 0x0 0x0
[drm:intel_dump_pipe_config] adjusted mode:
[drm:drm_mode_debug_printmodeline] Modeline 0:"" 0 0 0 0 0 0 0 0 0 0 0x0 0x0
[drm:intel_dump_pipe_config] crtc timings: 0 0 0 0 0 0 0 0 0, type: 0x0 flags: 0x0
[drm:intel_dump_pipe_config] port clock: 0, pipe src size: 0x0, pixel rate 0
[drm:intel_dump_pipe_config] num_scalers: 2, scaler_users: 0x0, scaler_id: -1
[drm:intel_dump_pipe_config] pch pfit: pos: 0x00000000, size: 0x00000000, disabled
[drm:intel_dump_pipe_config] ips: 0, double wide: 0
[drm:bxt_dump_hw_state] dpll_hw_state: ebb0: 0x0, ebb4: 0x0,pll0: 0x0, pll1: 0x0, pll2: 0x0, pll3: 0x0, pll6: 0x0, pll8: 0x0, pll9: 0x0, pll10: 0x0, pcsdw12: 0x0
[drm:intel_dump_pipe_config] planes on this crtc
[drm:intel_dump_pipe_config] [PLANE:52:plane 1B] disabled, scaler_id = -1
[drm:intel_dump_pipe_config] [PLANE:57:plane 2B] disabled, scaler_id = -1
[drm:intel_dump_pipe_config] [PLANE:62:plane 3B] disabled, scaler_id = -1
[drm:intel_dump_pipe_config] [PLANE:67:plane 4B] disabled, scaler_id = -1
[drm:intel_dump_pipe_config] [PLANE:72:cursor B] disabled, scaler_id = -1
[drm:intel_dump_pipe_config] [CRTC:99:pipe C][setup_hw_state]
[drm:intel_dump_pipe_config] output_types:  (0x0)
[drm:intel_dump_pipe_config] cpu_transcoder: C, pipe bpp: 0, dithering: 0
[drm:intel_dump_pipe_config] audio: 0, infoframes: 0
[drm:intel_dump_pipe_config] requested mode:
[drm:drm_mode_debug_printmodeline] Modeline 0:"" 0 0 0 0 0 0 0 0 0 0 0x0 0x0
[drm:intel_dump_pipe_config] adjusted mode:
[drm:drm_mode_debug_printmodeline] Modeline 0:"" 0 0 0 0 0 0 0 0 0 0 0x0 0x0
[drm:intel_dump_pipe_config] crtc timings: 0 0 0 0 0 0 0 0 0, type: 0x0 flags: 0x0
[drm:intel_dump_pipe_config] port clock: 0, pipe src size: 0x0, pixel rate 0
[drm:intel_dump_pipe_config] num_scalers: 1, scaler_users: 0x0, scaler_id: -1
[drm:intel_dump_pipe_config] pch pfit: pos: 0x00000000, size: 0x00000000, disabled
[drm:intel_dump_pipe_config] ips: 0, double wide: 0
[drm:bxt_dump_hw_state] dpll_hw_state: ebb0: 0x0, ebb4: 0x0,pll0: 0x0, pll1: 0x0, pll2: 0x0, pll3: 0x0, pll6: 0x0, pll8: 0x0, pll9: 0x0, pll10: 0x0, pcsdw12: 0x0
[drm:intel_dump_pipe_config] planes on this crtc
[drm:intel_dump_pipe_config] [PLANE:76:plane 1C] disabled, scaler_id = -1
[drm:intel_dump_pipe_config] [PLANE:81:plane 2C] disabled, scaler_id = -1
[drm:intel_dump_pipe_config] [PLANE:86:plane 3C] disabled, scaler_id = -1
[drm:intel_dump_pipe_config] [PLANE:91:plane 4C] disabled, scaler_id = -1
[drm:intel_dump_pipe_config] [PLANE:96:cursor C] disabled, scaler_id = -1
[drm:drm_mode_object_get] OBJ ID: 101 (2)
[drm:intel_power_well_disable] disabling AUX C
[drm:intel_power_well_disable] disabling AUX B
[drm:intel_power_well_disable] disabling dpio-common-c
[drm:intel_power_well_disable] disabling dpio-common-b
[drm:intel_power_well_disable] disabling power well 2
[drm:skylake_get_initial_plane_config] pipe A/plane 1A with fb: size=1920x1080@32, offset=0, pitch 7680, size 0x7e9000
[drm:i915_gem_object_create_stolen_for_preallocated] creating preallocated stolen object: stolen_offset=0x0000000000000000, gtt_offset=0x0000000000000000, size=0x00000000007e9000
[drm:intel_alloc_initial_plane_obj.isra.101] initial plane fb obj 00000000e6d67c65
[drm:intel_modeset_init] pipe A active planes 0x1
[drm:intel_wopcm_init] Calculated GuC WOPCM Region: [16KiB, 984KiB)
[drm:i915_gem_init_ggtt] clearing unused GTT space: [7ea000, 100000000]
[drm:intel_ctx_workarounds_init] Number of context specific w/a: 10
[drm:i915_gem_contexts_init] logical context support initialized
[drm:intel_init_gt_powersave] BIOS enabled RC states: HW_CTRL off HW_RC6 off SW_TARGET_STATE 4
i915 0000:00:02.0: Failed to initialize GPU, declaring it wedged!
i915 0000:00:02.0: Please file a bug at https://bugs.freedesktop.org/enter_bug.cgi?product=DRI against DRM/Intel providing the dmesg log by booting with drm.debug=0xf
[drm:intel_fbdev_init] found possible fb from plane A
[drm:intel_fbdev_init] pipe B not active or no fb, skipping
[drm:intel_fbdev_init] pipe C not active or no fb, skipping
[drm:intel_fbdev_init] checking plane A for BIOS fb
[drm:intel_fbdev_init] pipe A area: 1920x1080, bpp: 32, size: 8294400
[drm:intel_fbdev_init] fb big enough for plane A (8294400 >= 8294400)
[drm:intel_fbdev_init] pipe B not active, skipping
[drm:intel_fbdev_init] pipe C not active, skipping
[drm:drm_mode_object_get] OBJ ID: 114 (1)
[drm:intel_fbdev_init] using BIOS fb for initial console
[drm:drm_mode_object_get] OBJ ID: 101 (3)
[drm:drm_mode_object_get] OBJ ID: 108 (2)
[drm:__bxt_hpd_detection_setup] Invert bit setting: hp_ctl:18001810 hp_port:28
[drm:drm_minor_register] 
[drm:drm_minor_register] new minor registered 128
[drm:drm_minor_register] 
[drm:drm_minor_register] new minor registered 0
[drm:drm_sysfs_connector_add] adding "eDP-1" to sysfs
[drm:drm_sysfs_hotplug_event] generating hotplug event
[drm:intel_backlight_device_register] Connector eDP-1 backlight sysfs interface registered
[drm:intel_dp_connector_register] registering DPDDC-A bus for card0-eDP-1
[drm:drm_dp_aux_register_devnode] drm_dp_aux_dev: aux [DPDDC-A] registered as minor 0
[drm:drm_sysfs_connector_add] adding "HDMI-A-1" to sysfs
[drm:drm_sysfs_hotplug_event] generating hotplug event
[drm] Initialized i915 1.6.0 20180719 for 0000:00:02.0 on minor 0
[drm:intel_opregion_register] 2 outputs detected
ACPI: Video Device [GFX0] (multi-head: yes  rom: no  post: no)
input: Video Bus as /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0A08:00/LNXVIDEO:00/input/input3
i915 device info: pciid=0x3184 rev=0x03 platform=GEMINILAKE gen=9
i915 device info: is_mobile: no
i915 device info: is_lp: yes
i915 device info: is_alpha_support: no
i915 device info: has_64bit_reloc: yes
i915 device info: has_aliasing_ppgtt: yes
i915 device info: has_csr: yes
i915 device info: has_ddi: yes
i915 device info: has_dp_mst: yes
i915 device info: has_reset_engine: yes
i915 device info: has_fbc: yes
[drm:drm_setup_crtcs] 
i915 device info: has_fpga_dbg: yes
i915 device info: has_full_ppgtt: yes
[drm:drm_helper_probe_single_connector_modes] [CONNECTOR:101:eDP-1]
i915 device info: has_full_48bit_ppgtt: yes
[drm:intel_dp_detect] [CONNECTOR:101:eDP-1]
i915 device info: has_gmch_display: no
i915 device info: has_guc: yes
i915 device info: has_guc_ct: no
[drm:intel_dp_print_rates] source rates: 162000, 216000, 243000, 270000, 324000, 432000, 540000
i915 device info: has_hotplug: yes
[drm:intel_dp_print_rates] sink rates: 162000, 270000
i915 device info: has_l3_dpf: no
[drm:intel_dp_print_rates] common rates: 162000, 270000
i915 device info: has_llc: no
i915 device info: has_logical_ring_contexts: yes
i915 device info: has_logical_ring_elsq: no
i915 device info: has_logical_ring_preemption: yes
i915 device info: has_overlay: no
i915 device info: has_pooled_eu: yes
i915 device info: has_psr: yes
i915 device info: has_rc6: yes
i915 device info: has_rc6p: no
i915 device info: has_resource_streamer: yes
i915 device info: has_runtime_pm: yes
i915 device info: has_snoop: yes
i915 device info: unfenced_needs_alignment: no
i915 device info: cursor_needs_physical: no
i915 device info: hws_needs_physical: no
i915 device info: overlay_needs_physical: no
i915 device info: supports_tv: no
i915 device info: has_ipc: yes
i915 device info: slice total: 1, mask=0001
i915 device info: subslice total: 3
i915 device info: slice0: 3 subslices, mask=0007
i915 device info: EU total: 18
i915 device info: EU per subslice: 6
i915 device info: has slice power gating: no
i915 device info: has subslice power gating: yes
i915 device info: has EU power gating: yes
i915 device info: CS timestamp frequency: 19200 kHz
[drm:drm_dp_read_desc] DP sink: OUI 00-00-00 dev-ID  HW-rev 0.0 SW-rev 0.0 quirks 0x0000
[drm:drm_helper_probe_single_connector_modes] [CONNECTOR:101:eDP-1] status updated from unknown to connected
[drm:drm_add_display_info] non_desktop set to 0
[drm:drm_add_display_info] eDP-1: Assigning EDID-1.4 digital sink color depth as 8 bpc.
[drm:drm_mode_object_put] OBJ ID: 103 (1)
[drm:drm_add_edid_modes.part.29] ELD: no CEA Extension found
[drm:drm_add_display_info] non_desktop set to 0
[drm:drm_add_display_info] eDP-1: Assigning EDID-1.4 digital sink color depth as 8 bpc.
[drm:drm_helper_probe_single_connector_modes] [CONNECTOR:101:eDP-1] probed modes :
[drm:drm_mode_debug_printmodeline] Modeline 102:"1920x1080" 60 152840 1920 2000 2060 2250 1080 1086 1094 1132 0x48 0xa
[drm:drm_helper_probe_single_connector_modes] [CONNECTOR:108:HDMI-A-1]
[drm:intel_hdmi_detect] [CONNECTOR:108:HDMI-A-1]
[drm:drm_sysfs_hotplug_event] generating hotplug event
[drm:do_gmbus_xfer] GMBUS [i915 gmbus dpc] NAK for addr: 0050 w(1)
[drm:do_gmbus_xfer] GMBUS [i915 gmbus dpc] NAK on first message, retry
[drm:do_gmbus_xfer] GMBUS [i915 gmbus dpc] NAK for addr: 0050 w(1)
[drm:drm_do_probe_ddc_edid] drm: skipping non-existent adapter i915 gmbus dpc
[drm:intel_hdmi_set_edid] HDMI GMBUS EDID read failed, retry using GPIO bit-banging
[drm:intel_gmbus_force_bit] enabling bit-banging on i915 gmbus dpc. force bit now 1
[drm:drm_do_probe_ddc_edid] drm: skipping non-existent adapter i915 gmbus dpc
[drm:intel_gmbus_force_bit] disabling bit-banging on i915 gmbus dpc. force bit now 0
[drm:do_gmbus_xfer] GMBUS [i915 gmbus dpc] NAK for addr: 0040 w(1)
[drm:do_gmbus_xfer] GMBUS [i915 gmbus dpc] NAK on first message, retry
[drm:do_gmbus_xfer] GMBUS [i915 gmbus dpc] NAK for addr: 0040 w(1)
[drm:drm_dp_dual_mode_detect] DP dual mode HDMI ID:  (err -6)
[drm:drm_helper_probe_single_connector_modes] [CONNECTOR:108:HDMI-A-1] status updated from unknown to disconnected
[drm:drm_helper_probe_single_connector_modes] [CONNECTOR:108:HDMI-A-1] disconnected
[drm:drm_setup_crtcs] connector 101 enabled? yes
[drm:drm_setup_crtcs] connector 108 enabled? no
[drm:intel_fb_initial_config] Not using firmware configuration
[drm:drm_setup_crtcs] looking for cmdline mode on connector 101
[drm:drm_setup_crtcs] looking for preferred mode on connector 101 0
[drm:drm_setup_crtcs] found mode 1920x1080
[drm:drm_setup_crtcs] picking CRTCs for 8192x8192 config
[drm:drm_setup_crtcs] desired mode 1920x1080 set on crtc 51 (0,0)
[drm:drm_mode_object_get] OBJ ID: 101 (3)
[drm:intelfb_create] re-using BIOS fb
[drm:intelfb_create] allocated 1920x1080 fb: 0x00000000
[drm:drm_mode_object_get] OBJ ID: 114 (2)
[drm:drm_mode_object_get] OBJ ID: 113 (1)
[drm:drm_mode_object_put] OBJ ID: 113 (2)
[drm:drm_mode_object_get] OBJ ID: 114 (3)
[drm:drm_mode_object_put] OBJ ID: 114 (4)
[drm:drm_mode_object_get] OBJ ID: 101 (5)
[drm:drm_mode_object_get] OBJ ID: 101 (6)
[drm:drm_mode_object_put] OBJ ID: 101 (6)
[drm:drm_mode_object_get] OBJ ID: 101 (5)
[drm:intel_atomic_check] [CONNECTOR:101:eDP-1] checking for sink bpp constrains
[drm:intel_atomic_check] clamping display bpp (was 36) to EDID reported max of 24
[drm:intel_dp_compute_config] DP link computation with max lane count 2 max rate 270000 max bpp 24 pixel clock 152840KHz
[drm:intel_dp_compute_config] DP lane count 2 clock 270000 bpp 24
[drm:intel_dp_compute_config] DP link rate required 458520 available 540000
[drm:intel_atomic_check] hw max bpp: 36, pipe bpp: 24, dithering: 0
[drm:intel_dump_pipe_config] [CRTC:51:pipe A][modeset]
[drm:intel_dump_pipe_config] output_types: EDP (0x100)
[drm:intel_dump_pipe_config] cpu_transcoder: EDP, pipe bpp: 24, dithering: 0
[drm:intel_dump_m_n_config.isra.67] dp m_n: lanes: 2; gmch_m: 7122860, gmch_n: 8388608, link_m: 296785, link_n: 524288, tu: 64
[drm:intel_dump_pipe_config] audio: 0, infoframes: 0
[drm:intel_dump_pipe_config] requested mode:
[drm:drm_mode_debug_printmodeline] Modeline 0:"1920x1080" 60 152840 1920 2000 2060 2250 1080 1086 1094 1132 0x48 0xa
[drm:intel_dump_pipe_config] adjusted mode:
[drm:drm_mode_debug_printmodeline] Modeline 0:"1920x1080" 60 152840 1920 2000 2060 2250 1080 1086 1094 1132 0x48 0xa
[drm:intel_dump_pipe_config] crtc timings: 152840 1920 2000 2060 2250 1080 1086 1094 1132, type: 0x48 flags: 0xa
[drm:intel_dump_pipe_config] port clock: 270000, pipe src size: 1920x1080, pixel rate 152840
[drm:intel_dump_pipe_config] num_scalers: 2, scaler_users: 0x0, scaler_id: -1
[drm:intel_dump_pipe_config] pch pfit: pos: 0x00000000, size: 0x00000000, disabled
[drm:intel_dump_pipe_config] ips: 0, double wide: 0
[drm:bxt_dump_hw_state] dpll_hw_state: ebb0: 0x8100, ebb4: 0x2000,pll0: 0x1b, pll1: 0x100, pll2: 0x0, pll3: 0x0, pll6: 0x10803, pll8: 0x9, pll9: 0xa, pll10: 0x8003c00, pcsdw12: 0x4d
[drm:intel_dump_pipe_config] planes on this crtc
[drm:intel_dump_pipe_config] [PLANE:28:plane 1A] FB:114, fb = 1920x1080 format = XR24 little-endian (0x34325258)
[drm:intel_dump_pipe_config] 	scaler:-1 src 0x0+1920+1080 dst 0x0+1920+1080
[drm:intel_dump_pipe_config] [PLANE:33:plane 2A] disabled, scaler_id = -1
[drm:intel_dump_pipe_config] [PLANE:38:plane 3A] disabled, scaler_id = -1
[drm:intel_dump_pipe_config] [PLANE:43:plane 4A] disabled, scaler_id = -1
[drm:intel_dump_pipe_config] [PLANE:48:cursor A] disabled, scaler_id = -1
[drm:intel_atomic_check] New cdclk calculated to be logical 316800 kHz, actual 316800 kHz
[drm:intel_atomic_check] New voltage level calculated to be logical 13, actual 13
[drm:bxt_get_dpll] [CRTC:51:pipe A] using pre-allocated PORT PLL A
[drm:intel_reference_shared_dpll] using PORT PLL A for pipe A
[drm:intel_edp_backlight_off] 


[drm:intel_panel_actually_set_backlight] set backlight PWM = 0
[drm:intel_disable_pipe] disabling pipe A
[drm:intel_edp_panel_off] Turn eDP port A panel power off
[drm:intel_edp_panel_off] Wait for panel power off time
[drm:wait_panel_status] mask b0000000 value 00000000 status 80000008 control 00000060
[drm:gen8_de_irq_handler] hotplug event received, stat 0x00000008, dig 0x19001810, pins 0x00000010, long 0x00000000
[drm:intel_hpd_irq_handler] digital hpd port A - short
[drm:intel_dp_hpd_pulse] got hpd irq on port A - short

[drm:wait_panel_status] Wait complete
[drm:intel_power_well_disable] disabling DDI A IO power well
[drm:intel_disable_shared_dpll] disable PORT PLL A (active 1, on? 1) for crtc 51
[drm:edp_panel_vdd_on] Turning eDP port A VDD on
[drm:wait_panel_power_cycle] Wait for panel power cycle
[drm:intel_disable_shared_dpll] disabling PORT PLL A
[drm:drm_calc_timestamping_constants] crtc 51: hwmode: htotal 2250, vtotal 1132, vdisplay 1080
[drm:drm_atomic_helper_update_legacy_modeset_state] crtc 51: clock 152840 kHz framedur 16664485 linedur 14721
Loaded X.509 cert 'Build time autogenerated kernel key: 8eaa1d35ed8eaff55362645fb00af8c60759fbd0'
[drm:intel_atomic_commit_tail] [ENCODER:100:DDI A]
[drm:intel_atomic_commit_tail] [ENCODER:107:DDI C]
[drm:verify_single_dpll_state.isra.94] PORT PLL A
[drm:verify_single_dpll_state.isra.94] PORT PLL B
[drm:verify_single_dpll_state.isra.94] PORT PLL C
[drm:intel_enable_shared_dpll] enable PORT PLL A (active 1, on? 0) for crtc 51
[drm:intel_enable_shared_dpll] enabling PORT PLL A

[drm:gen8_de_irq_handler] hotplug event received, stat 0x00000008, dig 0x1a001810, pins 0x00000010, long 0x00000010
[drm:intel_hpd_irq_handler] digital hpd port A - long
[drm:intel_hpd_irq_handler] Received HPD interrupt on PIN 4 - cnt: 0

[drm:wait_panel_status] mask b800000f value 00000000 status 00000000 control 00000060
[drm:wait_panel_status] Wait complete
[drm:edp_panel_vdd_on] PP_STATUS: 0x00000000 PP_CONTROL: 0x00000068
[drm:edp_panel_vdd_on] eDP port A panel power wasn't enabled
usb 1-6: new high-speed USB device number 3 using xhci_hcd
[drm:gen8_de_irq_handler] hotplug event received, stat 0x00000008, dig 0x1a001810, pins 0x00000010, long 0x00000010
[drm:intel_hpd_irq_handler] digital hpd port A - long
[drm:intel_hpd_irq_handler] Received HPD interrupt on PIN 4 - cnt: 1
[drm:edp_panel_on] Turn eDP port A panel power on
[drm:wait_panel_power_cycle] Wait for panel power cycle
[drm:wait_panel_status] mask b800000f value 00000000 status 00000000 control 00000068
[drm:wait_panel_status] Wait complete
[drm:edp_panel_on] Wait for panel power on
[drm:wait_panel_status] mask b000000f value 80000008 status 9000000a control 0000006b
usb 1-6: New USB device found, idVendor=0951, idProduct=1624, bcdDevice= 2.00
usb 1-6: New USB device strings: Mfr=1, Product=2, SerialNumber=3
usb 1-6: Product: DataTraveler G2
usb 1-6: Manufacturer: Kingston
usb 1-6: SerialNumber: 0019E000B46EA931965C010E
usb-storage 1-6:1.0: USB Mass Storage device detected
scsi host2: usb-storage 1-6:1.0
usb 1-7: new high-speed USB device number 4 using xhci_hcd
[drm:wait_panel_status] Wait complete
[drm:intel_power_well_enable] enabling DDI A IO power well
[drm:intel_dp_read_dpcd] DPCD: 11 0a 82 41 00 00 01 40 02 00 00 00 00 03 00
[drm:intel_dp_hpd_pulse] ignoring long hpd on eDP port A
[drm:intel_dp_start_link_train] Using LINK_BW_SET value 0a
[drm:intel_dp_set_signal_levels] Using vswing level 0
[drm:intel_dp_set_signal_levels] Using pre-emphasis level 0
[drm:intel_dp_program_link_training_pattern] Using DP training pattern TPS1
[drm:intel_dp_start_link_train] clock recovery OK
[drm:intel_dp_program_link_training_pattern] Using DP training pattern TPS2
[drm:intel_dp_start_link_train] Channel EQ done. DP Training successful
[drm:intel_dp_start_link_train] [CONNECTOR:101:eDP-1] Link Training Passed at Link Rate = 270000, Lane count = 2
[drm:intel_enable_pipe] enabling pipe A
[drm:intel_edp_backlight_on] 
[drm:intel_panel_enable_backlight] pipe A
[drm:intel_panel_actually_set_backlight] set backlight PWM = 67764
[drm:intel_enable_ddi] Panel doesn't support DRRS
[drm:intel_fbc_enable] reserved 16588800 bytes of contiguous stolen space for FBC, threshold: 1
[drm:intel_fbc_enable] Enabling FBC on pipe A
[drm:drm_vblank_enable] enabling vblank on crtc 0, ret: 0
[drm:drm_handle_vblank] vblank event on 7, current 7
[drm:verify_connector_state.isra.93] [CONNECTOR:101:eDP-1]
[drm:drm_mode_object_put] OBJ ID: 113 (1)
[drm:intel_atomic_commit_tail] [CRTC:51:pipe A]
[drm:verify_single_dpll_state.isra.94] PORT PLL A
[drm:drm_mode_object_put] OBJ ID: 101 (6)
[drm:drm_mode_object_put] OBJ ID: 101 (5)
[drm:drm_mode_object_put] OBJ ID: 114 (3)
snd_hda_intel 0000:00:0e.0: bound 0000:00:02.0 (ops i915_audio_component_bind_ops)
[drm:intel_power_well_enable] enabling power well 2
[drm:i915_hotplug_work_func] running encoder hotplug functions
[drm:i915_hotplug_work_func] Connector eDP-1 (pin 4) received hotplug event.
[drm:intel_dp_detect] [CONNECTOR:101:eDP-1]
[drm:intel_dp_print_rates] source rates: 162000, 216000, 243000, 270000, 324000, 432000, 540000
[drm:intel_dp_print_rates] sink rates: 162000, 270000
[drm:intel_dp_print_rates] common rates: 162000, 270000
[drm:drm_dp_read_desc] DP sink: OUI 00-00-00 dev-ID  HW-rev 0.0 SW-rev 0.0 quirks 0x0000
[drm:drm_mode_object_get] OBJ ID: 114 (2)
[drm:drm_mode_object_get] OBJ ID: 116 (1)
[drm:drm_mode_object_put] OBJ ID: 116 (2)
[drm:drm_mode_object_get] OBJ ID: 114 (3)
[drm:drm_mode_object_put] OBJ ID: 114 (4)
[drm:drm_mode_object_get] OBJ ID: 101 (5)
[drm:drm_mode_object_get] OBJ ID: 101 (6)
[drm:drm_mode_object_put] OBJ ID: 101 (6)
[drm:drm_mode_object_get] OBJ ID: 101 (5)
random: fast init done
[drm:drm_handle_vblank] vblank event on 8, current 8
[drm:drm_mode_object_put] OBJ ID: 101 (6)
[drm:drm_mode_object_put] OBJ ID: 101 (5)
[drm:drm_mode_object_put] OBJ ID: 116 (1)
[drm:drm_mode_object_put] OBJ ID: 114 (3)
snd_hda_codec_realtek hdaudioC0D0: autoconfig for ALC256: line_outs=1 (0x14/0x0/0x0/0x0/0x0) type:speaker
snd_hda_codec_realtek hdaudioC0D0:    speaker_outs=0 (0x0/0x0/0x0/0x0/0x0)
snd_hda_codec_realtek hdaudioC0D0:    hp_outs=1 (0x21/0x0/0x0/0x0/0x0)
snd_hda_codec_realtek hdaudioC0D0:    mono: mono_out=0x0
snd_hda_codec_realtek hdaudioC0D0:    inputs:
snd_hda_codec_realtek hdaudioC0D0:      Mic=0x12
Console: switching to colour frame buffer device 240x67
[drm:drm_mode_object_get] OBJ ID: 114 (2)
[drm:drm_mode_object_get] OBJ ID: 113 (1)
[drm:drm_mode_object_put] OBJ ID: 113 (2)
[drm:drm_mode_object_get] OBJ ID: 114 (3)
[drm:drm_mode_object_put] OBJ ID: 114 (4)
[drm:drm_mode_object_get] OBJ ID: 101 (5)
[drm:drm_mode_object_get] OBJ ID: 101 (6)
[drm:drm_mode_object_put] OBJ ID: 101 (6)
[drm:drm_mode_object_get] OBJ ID: 101 (5)
[drm:drm_handle_vblank] vblank event on 9, current 9
[drm:drm_mode_object_put] OBJ ID: 101 (6)
[drm:drm_mode_object_put] OBJ ID: 101 (5)
[drm:drm_mode_object_put] OBJ ID: 113 (1)
[drm:drm_mode_object_put] OBJ ID: 114 (3)
[drm:vblank_disable_fn] disabling vblank on crtc 0
usb 1-7: New USB device found, idVendor=1bcf, idProduct=2cb0, bcdDevice= 0.04
i915 0000:00:02.0: fb0: inteldrmfb frame buffer device
usb 1-7: New USB device strings: Mfr=1, Product=2, SerialNumber=0
usb 1-7: Product: HD User Facing
usb 1-7: Manufacturer: KS0HD0501382204406LM04
[drm:drm_fb_helper_hotplug_event] 
[drm:drm_setup_crtcs] 
[drm:drm_helper_probe_single_connector_modes] [CONNECTOR:101:eDP-1]
[drm:intel_dp_detect] [CONNECTOR:101:eDP-1]
[drm:intel_dp_print_rates] source rates: 162000, 216000, 243000, 270000, 324000, 432000, 540000
[drm:intel_dp_print_rates] sink rates: 162000, 270000
[drm:intel_dp_print_rates] common rates: 162000, 270000
scsi 0:0:0:0: Direct-Access     ATA      HFS256G39TND-N21 1P10 PQ: 0 ANSI: 5
[drm:drm_dp_read_desc] DP sink: OUI 00-00-00 dev-ID  HW-rev 0.0 SW-rev 0.0 quirks 0x0000
sd 0:0:0:0: [sdb] 500118192 512-byte logical blocks: (256 GB/238 GiB)
[drm:drm_add_display_info] non_desktop set to 0
[drm:drm_add_display_info] eDP-1: Assigning EDID-1.4 digital sink color depth as 8 bpc.
[drm:drm_mode_object_put] OBJ ID: 115 (1)
sd 0:0:0:0: [sdb] 4096-byte physical blocks
sd 0:0:0:0: [sdb] Write Protect is off
[drm:drm_add_edid_modes.part.29] ELD: no CEA Extension found
[drm:drm_add_display_info] non_desktop set to 0
sd 0:0:0:0: [sdb] Mode Sense: 00 3a 00 00
[drm:drm_add_display_info] eDP-1: Assigning EDID-1.4 digital sink color depth as 8 bpc.
[drm:drm_helper_probe_single_connector_modes] [CONNECTOR:101:eDP-1] probed modes :
[drm:drm_mode_debug_printmodeline] Modeline 102:"1920x1080" 60 152840 1920 2000 2060 2250 1080 1086 1094 1132 0x48 0xa
[drm:drm_helper_probe_single_connector_modes] [CONNECTOR:108:HDMI-A-1]
[drm:intel_hdmi_detect] [CONNECTOR:108:HDMI-A-1]
[drm:i915_audio_component_get_eld] Not valid for port B
[drm:i915_audio_component_get_eld] Not valid for port B
[drm:i915_audio_component_get_eld] Not valid for port B
[drm:i915_audio_component_get_eld] Not valid for port C
[drm:i915_audio_component_get_eld] Not valid for port C
[drm:i915_audio_component_get_eld] Not valid for port C
[drm:i915_audio_component_get_eld] Not valid for port D
[drm:i915_audio_component_get_eld] Not valid for port D
[drm:i915_audio_component_get_eld] Not valid for port D

[drm:do_gmbus_xfer] GMBUS [i915 gmbus dpc] NAK for addr: 0050 w(1)
[drm:do_gmbus_xfer] GMBUS [i915 gmbus dpc] NAK on first message, retry
input: HDA Intel PCH HDMI/DP,pcm=3 as /devices/pci0000:00/0000:00:0e.0/sound/card0/input7
[drm:do_gmbus_xfer] GMBUS [i915 gmbus dpc] NAK for addr: 0050 w(1)
[drm:drm_do_probe_ddc_edid] drm: skipping non-existent adapter i915 gmbus dpc
[drm:intel_hdmi_set_edid] HDMI GMBUS EDID read failed, retry using GPIO bit-banging
[drm:intel_gmbus_force_bit] enabling bit-banging on i915 gmbus dpc. force bit now 1
input: HDA Intel PCH HDMI/DP,pcm=7 as /devices/pci0000:00/0000:00:0e.0/sound/card0/input8
[drm:drm_do_probe_ddc_edid] drm: skipping non-existent adapter i915 gmbus dpc
[drm:intel_gmbus_force_bit] disabling bit-banging on i915 gmbus dpc. force bit now 0
[drm:do_gmbus_xfer] GMBUS [i915 gmbus dpc] NAK for addr: 0040 w(1)
[drm:do_gmbus_xfer] GMBUS [i915 gmbus dpc] NAK on first message, retry
[drm:do_gmbus_xfer] GMBUS [i915 gmbus dpc] NAK for addr: 0040 w(1)
[drm:drm_dp_dual_mode_detect] DP dual mode HDMI ID:  (err -6)
[drm:drm_helper_probe_single_connector_modes] [CONNECTOR:108:HDMI-A-1] disconnected
[drm:drm_setup_crtcs] connector 101 enabled? yes
[drm:drm_setup_crtcs] connector 108 enabled? no
[drm:intel_fb_initial_config] Not using firmware configuration
[drm:drm_setup_crtcs] looking for cmdline mode on connector 101
[drm:drm_setup_crtcs] looking for preferred mode on connector 101 0
[drm:drm_setup_crtcs] found mode 1920x1080
[drm:drm_setup_crtcs] picking CRTCs for 1920x1080 config
[drm:drm_mode_object_put] OBJ ID: 101 (4)
[drm:drm_setup_crtcs] desired mode 1920x1080 set on crtc 51 (0,0)
[drm:drm_mode_object_get] OBJ ID: 101 (3)
[drm:drm_mode_object_get] OBJ ID: 114 (2)
[drm:drm_mode_object_get] OBJ ID: 116 (1)
[drm:drm_mode_object_put] OBJ ID: 116 (2)
[drm:drm_mode_object_get] OBJ ID: 114 (3)
[drm:drm_mode_object_put] OBJ ID: 114 (4)
[drm:drm_mode_object_get] OBJ ID: 101 (5)
[drm:drm_mode_object_get] OBJ ID: 101 (6)
[drm:drm_mode_object_put] OBJ ID: 101 (6)
[drm:drm_mode_object_get] OBJ ID: 101 (5)
[drm:drm_vblank_enable] enabling vblank on crtc 0, ret: 0

[drm:drm_handle_vblank] vblank event on 17, current 17
[drm:drm_sysfs_hotplug_event] generating hotplug event
[drm:intel_power_well_disable] disabling power well 2
[drm:drm_fb_helper_hotplug_event] 
[drm:drm_setup_crtcs] 
[drm:drm_helper_probe_single_connector_modes] [CONNECTOR:101:eDP-1]
[drm:intel_dp_detect] [CONNECTOR:101:eDP-1]
[drm:intel_dp_print_rates] source rates: 162000, 216000, 243000, 270000, 324000, 432000, 540000
[drm:intel_dp_print_rates] sink rates: 162000, 270000
[drm:intel_dp_print_rates] common rates: 162000, 270000
[drm:drm_mode_object_put] OBJ ID: 101 (6)
[drm:drm_mode_object_put] OBJ ID: 101 (5)
[drm:drm_mode_object_put] OBJ ID: 116 (1)
[drm:drm_mode_object_put] OBJ ID: 114 (3)
[drm:drm_dp_read_desc] DP sink: OUI 00-00-00 dev-ID  HW-rev 0.0 SW-rev 0.0 quirks 0x0000
[drm:drm_add_display_info] non_desktop set to 0
[drm:drm_add_display_info] eDP-1: Assigning EDID-1.4 digital sink color depth as 8 bpc.
[drm:drm_mode_object_put] OBJ ID: 113 (1)
[drm:drm_add_edid_modes.part.29] ELD: no CEA Extension found
[drm:drm_add_display_info] non_desktop set to 0
[drm:drm_add_display_info] eDP-1: Assigning EDID-1.4 digital sink color depth as 8 bpc.
[drm:drm_helper_probe_single_connector_modes] [CONNECTOR:101:eDP-1] probed modes :
[drm:drm_mode_debug_printmodeline] Modeline 102:"1920x1080" 60 152840 1920 2000 2060 2250 1080 1086 1094 1132 0x48 0xa
[drm:drm_helper_probe_single_connector_modes] [CONNECTOR:108:HDMI-A-1]
[drm:intel_hdmi_detect] [CONNECTOR:108:HDMI-A-1]
[drm:do_gmbus_xfer] GMBUS [i915 gmbus dpc] NAK for addr: 0050 w(1)
[drm:do_gmbus_xfer] GMBUS [i915 gmbus dpc] NAK on first message, retry
[drm:do_gmbus_xfer] GMBUS [i915 gmbus dpc] NAK for addr: 0050 w(1)
[drm:drm_do_probe_ddc_edid] drm: skipping non-existent adapter i915 gmbus dpc
[drm:intel_hdmi_set_edid] HDMI GMBUS EDID read failed, retry using GPIO bit-banging
[drm:intel_gmbus_force_bit] enabling bit-banging on i915 gmbus dpc. force bit now 1
[drm:drm_do_probe_ddc_edid] drm: skipping non-existent adapter i915 gmbus dpc
[drm:intel_gmbus_force_bit] disabling bit-banging on i915 gmbus dpc. force bit now 0
[drm:do_gmbus_xfer] GMBUS [i915 gmbus dpc] NAK for addr: 0040 w(1)
[drm:do_gmbus_xfer] GMBUS [i915 gmbus dpc] NAK on first message, retry
[drm:do_gmbus_xfer] GMBUS [i915 gmbus dpc] NAK for addr: 0040 w(1)
[drm:drm_dp_dual_mode_detect] DP dual mode HDMI ID:  (err -6)
[drm:drm_helper_probe_single_connector_modes] [CONNECTOR:108:HDMI-A-1] disconnected
[drm:drm_setup_crtcs] connector 101 enabled? yes
[drm:drm_setup_crtcs] connector 108 enabled? no
[drm:intel_fb_initial_config] Not using firmware configuration
[drm:drm_setup_crtcs] looking for cmdline mode on connector 101
[drm:drm_setup_crtcs] looking for preferred mode on connector 101 0
[drm:drm_setup_crtcs] found mode 1920x1080
[drm:drm_setup_crtcs] picking CRTCs for 1920x1080 config
[drm:drm_mode_object_put] OBJ ID: 101 (4)
[drm:drm_setup_crtcs] desired mode 1920x1080 set on crtc 51 (0,0)
[drm:drm_mode_object_get] OBJ ID: 101 (3)
[drm:drm_mode_object_get] OBJ ID: 114 (2)
[drm:drm_mode_object_get] OBJ ID: 115 (1)
[drm:drm_mode_object_put] OBJ ID: 115 (2)
[drm:drm_mode_object_get] OBJ ID: 114 (3)
[drm:drm_mode_object_put] OBJ ID: 114 (4)
[drm:drm_mode_object_get] OBJ ID: 101 (5)
[drm:drm_mode_object_get] OBJ ID: 101 (6)
[drm:drm_mode_object_put] OBJ ID: 101 (6)
[drm:drm_mode_object_get] OBJ ID: 101 (5)
[drm:drm_handle_vblank] vblank event on 18, current 18
[drm:drm_mode_object_put] OBJ ID: 101 (6)
[drm:drm_mode_object_put] OBJ ID: 101 (5)
[drm:drm_mode_object_put] OBJ ID: 115 (1)
[drm:drm_mode_object_put] OBJ ID: 114 (3)
[drm:vblank_disable_fn] disabling vblank on crtc 0

[drm:edp_panel_vdd_off_sync] Turning eDP port A VDD off
[drm:edp_panel_vdd_off_sync] PP_STATUS: 0x80000008 PP_CONTROL: 0x00000067
[drm:intel_power_well_disable] disabling DC off
[drm:gen9_enable_dc5] Enabling DC5
[drm:gen9_set_dc_state] Setting DC state from 00 to 01

[drm:drm_mode_object_get] OBJ ID: 114 (2)
[drm:drm_mode_object_get] OBJ ID: 113 (1)
[drm:drm_mode_object_put] OBJ ID: 113 (2)
[drm:drm_mode_object_get] OBJ ID: 114 (3)
[drm:drm_mode_object_put] OBJ ID: 114 (4)
[drm:drm_mode_object_get] OBJ ID: 101 (5)
[drm:drm_mode_object_get] OBJ ID: 101 (6)
[drm:drm_mode_object_put] OBJ ID: 101 (6)
[drm:drm_mode_object_get] OBJ ID: 101 (5)
[drm:drm_vblank_enable] enabling vblank on crtc 0, ret: 0
[drm:drm_handle_vblank] vblank event on 8499, current 8499
[drm:drm_mode_object_put] OBJ ID: 101 (6)
[drm:drm_mode_object_put] OBJ ID: 101 (5)
[drm:drm_mode_object_put] OBJ ID: 113 (1)
[drm:drm_mode_object_put] OBJ ID: 114 (3)
[drm:vblank_disable_fn] disabling vblank on crtc 0
[drm:drm_mode_object_get] OBJ ID: 114 (2)
[drm:drm_mode_object_get] OBJ ID: 115 (1)
[drm:drm_mode_object_put] OBJ ID: 115 (2)
[drm:drm_mode_object_get] OBJ ID: 114 (3)
[drm:drm_mode_object_put] OBJ ID: 114 (4)
[drm:drm_mode_object_get] OBJ ID: 101 (5)
[drm:drm_mode_object_get] OBJ ID: 101 (6)
[drm:drm_mode_object_put] OBJ ID: 101 (6)
[drm:drm_mode_object_get] OBJ ID: 101 (5)
[drm:drm_vblank_enable] enabling vblank on crtc 0, ret: 0
[drm:drm_handle_vblank] vblank event on 8513, current 8513
[drm:drm_mode_object_put] OBJ ID: 101 (6)
[drm:drm_mode_object_put] OBJ ID: 101 (5)
[drm:drm_mode_object_put] OBJ ID: 115 (1)
[drm:drm_mode_object_put] OBJ ID: 114 (3)
[drm:vblank_disable_fn] disabling vblank on crtc 0



Hope this helps. If I can do anything else to help debug this, please let me know.
Comment 1 Lakshmi 2018-09-30 18:38:01 UTC
Reporter, Dmesg log from boot with kernel parameter drm.debug=0xf is needed as said in the log.
Comment 2 Felix von Leitner 2018-09-30 19:59:28 UTC
>    [1]Lakshmi changed [2]bug 108103

>    ┌────────┬─────────┬──────────┐
>    │  What  │ Removed │  Added   │
>    ├────────┼─────────┼──────────┤
>    │ Status │ NEW     │ NEEDINFO │
>    └────────┴─────────┴──────────┘

>    [3]Comment # 1 on [4]bug 108103 from [5]Lakshmi

>  Reporter, Dmesg log from boot with kernel parameter drm.debug=0xf is needed as
>  said in the log.

That WAS my dmesg log from a boot with that kernel parameter.
Sorry if that was not obvious.

BTW: It was kernel 4.19.0-rc5.

Felix
Comment 3 Jani Saarinen 2018-10-01 05:59:57 UTC
Hi,
Where in this there is failure to load fw? 
I only see: 
[drm:intel_csr_ucode_init] Loading i915/glk_dmc_ver1_04.bin
[drm] Finished loading DMC firmware i915/glk_dmc_ver1_04.bin (v1.4)

And comparing to our CKL's on CI (https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_4905/fi-glk-j4005/boot0.log) 

<7>[    5.604667] [drm:intel_csr_ucode_init [i915]] Loading i915/glk_dmc_ver1_04.bin
<6>[    5.613131] [drm] Finished loading DMC firmware i915/glk_dmc_ver1_04.bin (v1.4)

Looks quite similar.
Comment 4 Jani Saarinen 2018-10-01 06:07:36 UTC
(In reply to Jani Saarinen from comment #3)
> Hi,
> Where in this there is failure to load fw? 
> I only see: 
> [drm:intel_csr_ucode_init] Loading i915/glk_dmc_ver1_04.bin
> [drm] Finished loading DMC firmware i915/glk_dmc_ver1_04.bin (v1.4)
> 
> And comparing to our CKL's on CI
I mean GLK's (sorry typo) 
> (https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_4905/fi-glk-j4005/boot0.
> log) 
> 
> <7>[    5.604667] [drm:intel_csr_ucode_init [i915]] Loading
> i915/glk_dmc_ver1_04.bin
> <6>[    5.613131] [drm] Finished loading DMC firmware
> i915/glk_dmc_ver1_04.bin (v1.4)
> 
> Looks quite similar.
Comment 5 Lakshmi 2018-10-01 06:35:28 UTC
> That WAS my dmesg log from a boot with that kernel parameter.
> Sorry if that was not obvious.

Felix, this is not full log (from boot). Full logs will give information from 0 seconds. Attach the whole log which contains the timestamps.
Comment 6 Felix von Leitner 2018-10-01 07:31:10 UTC
>  > That WAS my dmesg log from a boot with that kernel parameter.
>  > Sorry if that was not obvious.
>  Felix, this is not full log (from boot). Full logs will give information from 0
>  seconds. Attach the whole log which contains the timestamps.

My kernel is compiled without timestamps.

This was an egrep 'drm|i915' from the dmesg.

Surely you don't want me to send you the USB device detection messages...?!
Comment 7 Felix von Leitner 2018-10-04 10:57:45 UTC
It turns out that the issues go away if I disable the IOMMU.

That is appalling. As I'm sure you realize the IOMMU is a security mechanism to have a fighting chance against malicious firmware in periphery devices, or in this case, against rogue shaders on the GPU.

How is it possible that Intel makes the GPU, the IOMMU, the driver for the GPU and the IOMMU, and it still does not work together?

Note that I have to disable the IOMMU system wide for the GPU to not "hang".
Comment 8 Lakshmi 2018-10-09 15:28:24 UTC
Joonas, any advice here?
Comment 9 Jani Saarinen 2018-10-10 12:42:42 UTC
Hi,
What FW fails to load, why this bug exists? Is it FW load issue or GPU hang? 
Where we can see boot parameters so please do not grep but send all, thanks.
Comment 10 Felix von Leitner 2018-10-10 13:44:36 UTC
The kernel command line was: drm.debug=0xf like the documentation said.
And the rootfs UUID.

Now there is one more: intel_iommu=off. That made the GPU work.

Note that I also have intermittent screen corruption. The upper right part of the screen flashes like someone is writing binary data into the framebuffer. It then disappears again quickly. Maybe this symptom is related? The upper left part is an xterm. The corruption is only in the right part, over the background. I'm using fvwm as window manager, no compositor or anything fancy.

I'm guessing my hardware is "too new".
Comment 11 Jani Saarinen 2018-10-10 14:34:24 UTC
Hi,
can you send whole dmesg, to see all, like in our CI:

<5>[    0.000000] Linux version 4.19.0-rc7-CI-CI_DRM_4955+ (cidrm@ci-worker1.fi.intel.com) (gcc version 7.3.0 (Ubuntu 7.3.0-27ubuntu1~18.04)) #1 SMP PREEMPT Tue Oct 9 19:43:50 EEST 2018

What kernel you use?
Comment 12 Felix von Leitner 2018-10-10 15:06:33 UTC
Created attachment 141979 [details]
dmesg

This is a new dmesg output.
Comment 13 Lakshmi 2018-11-13 13:39:11 UTC
(In reply to Felix von Leitner from comment #12)
> Created attachment 141979 [details]
> dmesg
> 
> This is a new dmesg output.

Felix, trying to understand the problem here. Do we have two issues atm, 1) GPU hang and 2) Screen corruption including Flickering?
From the log attached I don't see GPU hang. Also, when GPU hang occurs we need crash dump file to investigate the issue.

Secondly, both the issues are disappeared when IOMMU is disabled?
Comment 14 Felix von Leitner 2018-11-13 18:35:12 UTC
I have two issues, correct.

Issue 1 is screen corruption at the very top.

Issue 2 is that dmesg said there was a problem and I should open a bug. So I did.

Issue 2 goes away when I build a kernel with no IOMMU support or tell the kernel to disable it via command line.
Comment 15 Francesco Balestrieri 2018-11-23 11:47:50 UTC
Removing the "ReadyForDev" label until this is clearer.
Comment 16 Vasily Galkin 2018-12-12 10:39:54 UTC
I have the similar problem: black screen with j4105 cpu, that reproduces only with iommu enabled

My ASRock-J4105-ITX board during boot is identified as 
DMI: To Be Filled By O.E.M. To Be Filled By O.E.M./J4105-ITX, BIOS P1.40 08/06/2018

Gpu in lspci is identified as
00:02.0 VGA compatible controller: Intel Corporation Device 3185

If I enable VT-d in the EFI Setup and intel_iommu=on parameter, than I have monitor becomes black (though, there is no gpu hang message) during X start (no any screen corruption).

During the boot framebuffer console initializes, but contains an error message (on 4.19.5 debian kernel, on previous kernels the message telled something about GPU hang):

i915 0000:00:02.0: Failed to initialize GPU, declaring it wedged!

There is no error state:
# cat /sys/class/drm/card0/error
No error state collected

Than boot continues using framebuffer console and at the moment of lightdm starting the screen becomes just black (ssh still works fine).

Disabling intel_iommu completely solves the problem.
Comment 17 Vasily Galkin 2018-12-12 10:43:46 UTC
Created attachment 142787 [details]
j4105 with 4.19.5 - full dmesg from boot via journalctl
Comment 18 Vasily Galkin 2018-12-12 10:44:40 UTC
Created attachment 142788 [details]
j4105 with 4.19.5 - latest messages still in dmesg buffer
Comment 19 Vasily Galkin 2018-12-12 10:45:30 UTC
Created attachment 142789 [details]
j4105 with 4.19.5 lspci -vvv output

With drm.debug=0xf dmesg output was cut, so attaching both it and extended version from journalctl.

Also attaching lspci -vvv outpu
Comment 20 Lakshmi 2018-12-17 05:25:42 UTC
Felix/Vasily How often you see this issue, every time after reboot?
Have you tried using Kernel 4.20?

Chris, any comments?
Comment 21 Vasily Galkin 2018-12-17 22:40:21 UTC
Created attachment 142841 [details]
142788: j4105 with 4.20 - drm tip full dmesg from boot via journalctl

The problem reproduces on every boot. It always hangs while iommu is enabled; Sometimes - with other kernel or after soft reboot - the error messages are a bit different, but I'm not sure - I lost them after reboot.

Nothing changed after updating from 4.19 to more recent kernel - ubuntu's build of drm-tip. The exact verison of new kernel is:

Linux version 4.20.0-994-lowlatency (kernel@gloin) (gcc version 8.2.0 (Ubuntu 8.2.0-12ubuntu1)) #201812142101 SMP PREEMPT Sat Dec 15 02:06:59 UTC 2018

https://kernel.ubuntu.com/~kernel-ppa/mainline/drm-tip/2018-12-15/

These binary packages represent builds of the mainline or stable Linux kernel tree at the commit below:

  cod/tip/drm-tip/2018-12-15 (2abfab12278273a26679335d0c65980816c42206
Comment 22 Felix von Leitner 2018-12-24 16:20:01 UTC
I just tried it with Linux 4.20, and I get working X11 even with IOMMU.
Great work, thanks!

There is still slight screen corruption in the topmost few lines of the screen, but I can live with that.
Comment 23 Vasily Galkin 2018-12-30 22:56:17 UTC
I also tried with vanilla 4.20 build with ubuntu config 'generic' from https://kernel.ubuntu.com/~kernel-ppa/mainline/v4.20/

Unfortunately the problem on my j4105 CPU is not fixed: if both VT-d is enabled in bios and intel_iommu=on is passed to kernel - during boot it outputs

> i915 0000:00:02.0: Failed to initialize GPU, declaring it wedged!

and then hangs during X11 start.

The problem even stays the same even I plug an external PCIe gpu and connect monitor to it - while all - uefi, grub, framebuffer, x11 (when i915.modeset=0) is displayed via external gpu - just the "initialization" of i915 driver without any outputs connected leads to this problem (however, since the motherboard has d-sub connector it maybe has some internal hdmi-to-d-sub adapter).

With PCIe gpu I also tried with VT-d on, intel_iommu=on and i915.modeset=0 - this works fine (displaying X11 on the PCIe gpu with amdgpu driver)

Here is the output of IOMMU groups:

> for d in /sys/kernel/iommu_groups/*/devices/*; do n=${d#*/iommu_groups/*}; n=${n%%/*}; printf 'IOMMU Group %s ' "$n"; lspci -nns "${d##*/}"; done;
> 
>IOMMU Group 0 00:00.0 Host bridge [0600]: Intel Corporation Device [8086:31f0] (rev 03)
>IOMMU Group 0 00:00.1 Signal processing controller [1180]: Intel Corporation Device [8086:318c] (rev 03)
>IOMMU Group 10 00:1f.0 ISA bridge [0601]: Intel Corporation Device [8086:31e8] (rev 03)
>IOMMU Group 10 00:1f.1 SMBus [0c05]: Intel Corporation Device [8086:31d4] (rev 03)
>IOMMU Group 11 01:00.0 VGA compatible controller [0300]: Advanced Micro Devices, Inc. [AMD/ATI] Tobago PRO [Radeon R7 360 / R9 360 OEM] [1002:665f] (rev 81)
>IOMMU Group 11 01:00.1 Audio device [0403]: Advanced Micro Devices, Inc. [AMD/ATI] Tobago HDMI Audio [Radeon R7 360 / R9 360 OEM] [1002:aac0]
>IOMMU Group 12 03:00.0 Ethernet controller [0200]: Realtek Semiconductor Co., Ltd. RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller [10ec:8168] (rev 15)
>IOMMU Group 13 04:00.0 SATA controller [0106]: ASMedia Technology Inc. ASM1062 Serial ATA Controller [1b21:0612] (rev 02)
>IOMMU Group 1 00:02.0 VGA compatible controller [0300]: Intel Corporation Device [8086:3185] (rev 03)
>IOMMU Group 2 00:0e.0 Audio device [0403]: Intel Corporation Device [8086:3198] (rev 03)
>IOMMU Group 3 00:0f.0 Communication controller [0780]: Intel Corporation Device [8086:319a] (rev 03)
>IOMMU Group 4 00:12.0 SATA controller [0106]: Intel Corporation Device [8086:31e3] (rev 03)
>IOMMU Group 5 00:13.0 PCI bridge [0604]: Intel Corporation Device [8086:31d8] (rev f3)
>IOMMU Group 6 00:13.1 PCI bridge [0604]: Intel Corporation Device [8086:31d9] (rev f3)
>IOMMU Group 7 00:13.2 PCI bridge [0604]: Intel Corporation Device [8086:31da] (rev f3)
>IOMMU Group 8 00:13.3 PCI bridge [0604]: Intel Corporation Device [8086:31db] (rev f3)
>IOMMU Group 9 00:15.0 USB controller [0c03]: Intel Corporation Device [8086:31a8] (rev 03)

So the 00:02.0 internal gpu is the sole device in its iommu group.
Comment 24 Francesco Balestrieri 2019-02-25 09:02:51 UTC
So far we were unable to reproduce the issue with kernel v5.0.0-rc1.
Comment 25 Francesco Balestrieri 2019-03-22 09:06:30 UTC
Vasily Galkin could you verify whether the above kernel version fixes the issue for you?
Comment 26 Vasily Galkin 2019-03-24 11:13:14 UTC
I've tested on Archlinux with linux-mainline aur kernel (vanilla sources with arch config afaik).

The 4.20rc6-1 still had this problem, and updating to 5.1rc1-1 solved it.
So confirming that bug is fixed at least in 5.1rc1-1. I didn't tested 5.0 kernels.

Now X11 and 3d works fine even with intel_iommu=on in kernel cmdline and in bios.
(I checked that iommu groups are actually created).
So, marking as fixed.
Comment 27 Francesco Balestrieri 2019-03-25 12:49:30 UTC
Thanks for verifying!


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.